public class FeaturesErrorConditions extends AbstractFeatures
A.2.7. Features {root}/collections/{collectionId}/items - Error Conditions
Author:
Lyn Goltz
  • Field Details

    • INVALID_QUERY_PARAM_VALUE

      public static final String INVALID_QUERY_PARAM_VALUE
      Constant INVALID_QUERY_PARAM_VALUE="unlimited"
      See Also:
    • UNKNOWN_QUERY_PARAM

      public static final String UNKNOWN_QUERY_PARAM
      Constant UNKNOWN_QUERY_PARAM="unknownQueryParameter"
      See Also:
  • Constructor Details

    • FeaturesErrorConditions

      public FeaturesErrorConditions()
  • Method Details

    • collectionItemUris

      @DataProvider(name="collectionItemUris") public Iterator<Object[]> collectionItemUris(org.testng.ITestContext testContext)

      collectionItemUris.

      Parameters:
      testContext - a ITestContext object
      Returns:
      a Iterator object
    • validateFeaturesOperation_QueryParamInvalid

      public void validateFeaturesOperation_QueryParamInvalid(Map<String,Object> collection)
       Abstract Test 13: /ats/core/fc-op
       Test Purpose: Validate that features can be identified and extracted from a Collection using query parameters.
       Requirement: /req/core/fc-op
      
       Test Method
         1. For every feature collection identified in Collections, issue an HTTP GET request to the URL /collections/{collectionId}/items where {collectionId} is the id property for a Collection described in the Collections content.
         2. Validate that a document was returned with a status code 200.
         3. Validate the contents of the returned document using test /ats/core/fc-response.
      
       Repeat these tests using the following parameter tests:
       Error conditions:
        * Query Invalid /ats/core/query-param-invalid
        * Query Unknown /ats/core/query-param-unknown
       
       Abstract Test 20: /ats/core/query-param-invalid
       Test Purpose: Validate that the API correctly deals with invalid query parameters.
       Requirement: /req/core/query-param-invalid
      
       Test Method
         1. Enter an HTTP request with an invalid query parameter.
         2. Verify that the API returns the status code 400.
       
      Parameters:
      collection - the collection under test, never null
    • validateFeaturesOperation_QueryParamUnknown

      public void validateFeaturesOperation_QueryParamUnknown(Map<String,Object> collection)
       Abstract Test 13: /ats/core/fc-op
       Test Purpose: Validate that features can be identified and extracted from a Collection using query parameters.
       Requirement: /req/core/fc-op
      
       Test Method
         1. For every feature collection identified in Collections, issue an HTTP GET request to the URL /collections/{collectionId}/items where {collectionId} is the id property for a Collection described in the Collections content.
         2. Validate that a document was returned with a status code 200.
         3. Validate the contents of the returned document using test /ats/core/fc-response.
      
       Repeat these tests using the following parameter tests:
       Error conditions:
        * Query Invalid /ats/core/query-param-invalid
        * Query Unknown /ats/core/query-param-unknown
       
       Abstract Test 21: /ats/core/query-param-unknown
       Test Purpose: Validate that the API correctly deals with unknown query parameters.
       Requirement: /req/core/query-param-unknown
      
       Test Method
         1. Enter an HTTP request with an query parameter that is not specified in the API definition.
         2. Verify that the API returns the status code 400.
       
      Parameters:
      collection - the collection under test, never null